{% extends "base.html" %}
{% import 'bootstrap/wtf.html' as wtf %}

{% block app_content %}
    <div class="page-header">
        <h1>
            <script type="text/javascript">
             now = new Date();
             hour = now.getHours();
             if (hour < 9) { document.write("早上好"); }
             else if (hour < 12) { document.write("上午好"); }
             else if (hour < 14) { document.write("中午好"); }
             else if (hour < 17) { document.write("下午好"); }
             else { document.write("晚上好"); }
            </script>
            , <b>{{ current_user.username }}</b>!
        </h1>
    </div>
    <form class="form" method="post" role="form">
        {{ form.hidden_tag() }}
        <div class="row">
            <div class="col-md-12" role="main">
                <div class="alert alert-info alert-dismissible" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <p>以下列表是您近期使用图片搜索引擎进行搜索的查询词详情.</p>
                    <p>请选择查询词进行标注, 完成后可获得<strong>0.5元/查询词</strong>的报酬, 对于不愿进行标注的查询词可以选择删除.</p>
                    <p><font color="red">注意: 点击"进入标注"前请先勾选同属一个搜索目标下的所有查询词, 避免需要重复回答相同问题.</font></p>
                    <p>例如: 想要找一张电脑桌面壁纸, 在此目标下依次输入了"电脑桌面壁纸", "电脑桌面壁纸高清", "电脑桌面壁纸风景", "电脑桌面壁纸动漫"这 4 个查询词进行搜索, 那么请同时勾选这几项查询词后再点击进入标注, 完成标注后可获得 0.5×4=2 元的实验报酬.<p>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-8" role="main" style="-moz-user-select: none; -webkit-user-select: none; -ms-user-select:none; user-select:none;-o-user-select:none;">
                <table id="table" data-toggle="table" data-striped="true">
                    <thead>
                        <th data-field="state" data-width="8%"></th>
                        <th data-field="description">搜索描述 <span class="badge"> {{ queries|length }}</span></th>
                    </thead>
                    {% for query in queries %}
                        <tr>
                            <td>{{ wtf.form_field(form['checkbox_%d'%(query.id)]) }}</td>
                            <td>
                                <h4>关键字: <a href="{{ query.url }}" class="btn btn-info" target="_blank" role="button">{{ query.keyword }}</a><br>
                                    <small>{{ moment(query.start_timestamp, "Z").format('LLL') }}</small>
                                </h4>
                            </td>
                        </tr>
                    {% endfor %}
                </table>
                <br><br>
            </div>
            <div class="col-md-4" role="complementary">
                {% include '_feedback_overview.html' %}
                <div class="btn-toolbar" role="toolbar">
                    {{ wtf.form_field(form.submit, class="btn btn-primary btn-lg", disabled="") }}
                    {{ form.delete(**{
                        "class": "btn btn-danger btn-lg",
                        "disabled": "",
                        "data-toggle": "confirmation",
                        "data-btn-ok-label": "是",
                        "data-btn-ok-class": "btn-danger",
                        "data-btn-cancel-label": "否",
                        "data-btn-cancel-class": "btn-default",
                        "data-title": "确定删除?",
                        "data-content": "此操作不可撤销"})
                    }}
                </div>
                <p>{{ wtf.form_errors(form, hiddens="only") }}</p>
                <div>
                </div>
            </div>
        </div>
    </form>
{% endblock %}

{% block scripts %}
    {{ super() }}
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/bootstrap-table/1.11.1/bootstrap-table.min.css">
    <script src="//cdnjs.cloudflare.com/ajax/libs/bootstrap-table/1.11.1/bootstrap-table.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/bootstrap-table/1.11.1/locale/bootstrap-table-zh-CN.min.js"></script>
    <script src="{{ url_for('static',filename='js/bootstrap-confirmation.min.js') }}" type="text/javascript"></script>
    <style type="text/css">
     .selected {
         background-color: #b1d54f !important;
     }
     td {
         vertical-align: middle !important;
     }
     .alert p strong {
         color: red;
     }
     .btn-group {
         margin-top: -7px;
         margin-bottom: 7px;
     }
     .popover-title {
         font-weight: bold;
     }
    </style>
    <script type="text/javascript">
     $('[data-toggle=confirmation]').confirmation({
         rootSelector: '[data-toggle=confirmation]'
     });
     $('#table').bootstrapTable({
         onClickRow: function (row, $element) {
             if (document.activeElement == $element.find('a').get(0))
                 return;
             var a = $element.find('input').get(0);
             var b = $element.find('td').get(0);
             if ($(b).hasClass('selected')) {
                 $(b).removeClass('selected');
                 a.checked = false;
             } else {
                 $(b).addClass('selected');
                 a.checked = true;
             }
             $('#submit').prop('disabled', $('tbody tr td').filter('.selected').length < 1);
             $('#delete').prop('disabled', $('tbody tr td').filter('.selected').length < 1);
         }
     });
    </script>
{% endblock %}
